﻿## History of changes for WinPython-64bit 3.10.4.0



The following changes were made to WinPython-64bit distribution since version 3.10.2.0.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v16.13.1 → v16.14.2 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 8.1.2 → 8.5.0 (a package manager for JavaScript)



### Python packages



New packages:



  * [botorch](https://pypi.org/project/botorch) 0.4.0 (Bayesian Optimization in PyTorch)

  * [commonmark](https://pypi.org/project/commonmark) 0.9.1 (Python parser for the CommonMark Markdown spec)

  * [deap](https://pypi.org/project/deap) 1.3.1 (Distributed Evolutionary Algorithms in Python)

  * [dill](https://pypi.org/project/dill) 0.3.3 (serialize all of python)

  * [fastai](https://pypi.org/project/fastai) 2.6.3 (fastai makes deep learning with PyTorch faster, more accurate, and easier)

  * [fastcore](https://pypi.org/project/fastcore) 1.3.27 (Python supercharged for fastai development)

  * [fastdownload](https://pypi.org/project/fastdownload) 0.0.5 (A general purpose data downloading library.)

  * [fastjsonschema](https://pypi.org/project/fastjsonschema) 2.15.3 (Fastest Python implementation of JSON schema)

  * [fastprogress](https://pypi.org/project/fastprogress) 1.0.0 (A nested progress with plotting options for fastai)

  * [gpytorch](https://pypi.org/project/gpytorch) 1.5.1 (An implementation of Gaussian Processes in Pytorch)

  * [httptools](https://pypi.org/project/httptools) 0.4.0 (A collection of framework independent HTTP protocol utils.)

  * [mlxtend](https://pypi.org/project/mlxtend) 0.18.0 (Machine Learning Library Extensions)

  * [notebook_shim](https://pypi.org/project/notebook_shim) 0.1.0 (A shim layer for notebook traits and config)

  * [pygad](https://pypi.org/project/pygad) 2.16.3 (PyGAD: A Python 3 Library for Building the Genetic Algorithm and Training Machine Learning Algoithms (Keras & PyTorch).)

  * [pympler](https://pypi.org/project/pympler) 1.0.1 (A development tool to measure, monitor and analyze the memory behavior of Python objects.)

  * [pyqt5](https://pypi.org/project/pyqt5) 5.15.6 (Python bindings for the Qt cross platform application toolkit)

  * [pyqt5_qt5](https://pypi.org/project/pyqt5_qt5) 5.15.2 (The subset of a Qt installation needed by PyQt5.)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 12.9.1 (The sip module support for PyQt5)

  * [pyqtwebengine](https://pypi.org/project/pyqtwebengine) 5.15.5 (Python bindings for the Qt WebEngine framework)

  * [pyqtwebengine_qt5](https://pypi.org/project/pyqtwebengine_qt5) 5.15.2 (The subset of a Qt installation needed by PyQtWebEngine.)

  * [rich](https://pypi.org/project/rich) 12.3.0 (Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal)

  * [shap](https://pypi.org/project/shap) 0.40.0 (A unified approach to explain the output of any machine learning model.)

  * [slicer](https://pypi.org/project/slicer) 0.0.7 (A small package for big slicing.)

  * [torch](https://pypi.org/project/torch) 1.11.0 (Tensors and Dynamic neural networks in Python with strong GPU acceleration)

  * [torchaudio](https://pypi.org/project/torchaudio) 0.11.0 (An audio package for PyTorch)

  * [torchvision](https://pypi.org/project/torchvision) 0.12.0 (image and video datasets and models for torch deep learning)

  * [umap_learn](https://pypi.org/project/umap_learn) 0.5.1 (Uniform Manifold Approximation and Projection)

  * [vitables](https://pypi.org/project/vitables) 3.0.2 (A viewer for PyTables package)

  * [watchgod](https://pypi.org/project/watchgod) 0.8.2 (Simple, modern file watching and code reload in python.)

  * [zstandard](https://pypi.org/project/zstandard) 0.17.0 (Zstandard bindings for Python)



Upgraded packages:



  * [affine](https://pypi.org/project/affine) 2.3.0 → 2.3.1 (Matrices describing affine transformation of the plane.)

  * [alembic](https://pypi.org/project/alembic) 1.7.5 → 1.7.7 (A database migration tool for SQLAlchemy.)

  * [amply](https://pypi.org/project/amply) 0.1.4 → 0.1.5 (Amply allows you to load and manipulate AMPL/GLPK data as Python data structures)

  * [aniso8601](https://pypi.org/project/aniso8601) 7.0.0 → 9.0.1 (A library for parsing ISO 8601 strings.)

  * [arrow](https://pypi.org/project/arrow) 1.2.1 → 1.2.2 (Better dates & times for Python)

  * [asgiref](https://pypi.org/project/asgiref) 3.4.1 → 3.5.0 (ASGI specs, helper code, and adapters)

  * [astroid](https://pypi.org/project/astroid) 2.9.3 → 2.11.3 (An abstract syntax tree for Python with inference support.)

  * [astroml](https://pypi.org/project/astroml) 1.0.1 → 1.0.2.post1 (tools for machine learning and data mining in Astronomy)

  * [astropy](https://pypi.org/project/astropy) 4.3.1 → 5.0.4 (Community-developed python astronomy tools)

  * [babel](https://pypi.org/project/babel) 2.9.1 → 2.10.1 (Internationalization utilities)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.10.0 → 4.11.1 (Screen-scraping library)

  * [black](https://pypi.org/project/black) 21.12b0 → 22.3.0 (The uncompromising code formatter.)

  * [bleach](https://pypi.org/project/bleach) 4.1.0 → 5.0.0 (An easy safelist-based HTML-sanitizing tool.)

  * [blis](https://pypi.org/project/blis) 0.7.5 → 0.7.7 (The Blis BLAS-like linear algebra library, as a self-contained C-extension.)

  * [bottleneck](https://pypi.org/project/bottleneck) 1.3.2 → 1.3.4 (Fast NumPy array functions written in C)

  * [bqplot](https://pypi.org/project/bqplot) 0.12.32 → 0.12.33 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [branca](https://pypi.org/project/branca) 0.4.2 → 0.5.0 (Generate complex HTML+JS pages with Python)

  * [cachelib](https://pypi.org/project/cachelib) 0.5.0 → 0.6.0 (A collection of cache libraries in the same API interface.)

  * [catalogue](https://pypi.org/project/catalogue) 2.0.6 → 2.0.7 (Super lightweight function registries for your library)

  * [cftime](https://pypi.org/project/cftime) 1.5.1.1 → 1.6.0 (Time-handling functionality from netcdf4-python)

  * [charset_normalizer](https://pypi.org/project/charset_normalizer) 2.0.10 → 2.0.12 (The Real First Universal Charset Detector. Open, modern and actively maintained alternative to Chardet.)

  * [click](https://pypi.org/project/click) 7.1.2 → 8.0.4 (Composable command line interface toolkit)

  * [coverage](https://pypi.org/project/coverage) 6.2 → 6.3.2 (Code coverage measurement for Python)

  * [cryptography](https://pypi.org/project/cryptography) 35.0.0 → 3.4.7 (cryptography is a package which provides cryptographic recipes and primitives to Python developers.)

  * [csvs_to_sqlite](https://pypi.org/project/csvs_to_sqlite) 1.3 → 1.3.1a0 (Convert CSV files into a SQLite database)

  * [cvxopt](https://pypi.org/project/cvxopt) 1.2.7 → 1.3.0 (Convex optimization package)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.1.18 → 1.2.0 (A domain-specific language for modeling convex optimization problems in Python.)

  * [cx_freeze](https://pypi.org/project/cx_freeze) 6.9 → 6.10 (create standalone executables from Python scripts)

  * [cython](https://pypi.org/project/cython) 0.29.26 → 0.29.28 (The Cython compiler for writing C extensions for the Python language.)

  * [cytoolz](https://pypi.org/project/cytoolz) 0.11.0 → 0.11.2 (Cython implementation of Toolz: High performance functional utilities)

  * [dash](https://pypi.org/project/dash) 2.0.0 → 2.3.0 (A Python framework for building reactive web-apps. Developed by Plotly.)

  * [dask](https://pypi.org/project/dask) 2022.1.0 → 2022.4.2 (Parallel PyData with Task Scheduling)

  * [dask_ml](https://pypi.org/project/dask_ml) 2021.11.30 → 2022.1.22 (A library for distributed and parallel machine learning)

  * [databases](https://pypi.org/project/databases) 0.4.1 → 0.5.5 (Async database support for Python.)

  * [datasette](https://pypi.org/project/datasette) 0.60 → 0.61.1 (A tool for exploring and publishing data)

  * [datasette_graphql](https://pypi.org/project/datasette_graphql) 1.5 → 2.0.1 (Datasette plugin providing an automatic GraphQL API for your SQLite databases)

  * [datashader](https://pypi.org/project/datashader) 0.13.0 → 0.14.0 (Data visualization toolchain based on aggregating into a grid)

  * [debugpy](https://pypi.org/project/debugpy) 1.5.1 → 1.6.0 (An implementation of the Debug Adapter Protocol for Python)

  * [distributed](https://pypi.org/project/distributed) 2022.1.0 → 2022.4.2 (Distributed scheduler for Dask)

  * [entrypoints](https://pypi.org/project/entrypoints) 0.3 → 0.4 (Discover and load entry points from installed packages.)

  * [fastapi](https://pypi.org/project/fastapi) 0.71.0 → 0.75.2 (FastAPI framework, high performance, easy to learn, fast to code, ready for production)

  * [fasteners](https://pypi.org/project/fasteners) 0.17.2 → 0.17.3 (A python package that provides useful locks.)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.7.2 → 0.8.0 (Python support for Parquet file format)

  * [filelock](https://pypi.org/project/filelock) 3.4.2 → 3.6.0 (A platform independent file lock.)

  * [fiona](https://pypi.org/project/fiona) 1.8.20 → 1.8.21 (Fiona reads and writes spatial data files)

  * [flask](https://pypi.org/project/flask) 2.0.2 → 2.1.2 (A simple framework for building complex web applications.)

  * [flask_compress](https://pypi.org/project/flask_compress) 1.10.1 → 1.12 (Compress responses in your Flask app with gzip.)

  * [flit](https://pypi.org/project/flit) 3.6.0 → 3.7.1 (A simple packaging tool for simple packages.)

  * [flit_core](https://pypi.org/project/flit_core) 3.6.0 → 3.7.1 (Distribution-building parts of Flit. See flit package for more information)

  * [fonttools](https://pypi.org/project/fonttools) 4.28.5 → 4.31.2 (Tools to manipulate font files)

  * [frozenlist](https://pypi.org/project/frozenlist) 1.2.0 → 1.3.0 (A list-like structure which implements collections.abc.MutableSequence)

  * [fs](https://pypi.org/project/fs) 2.4.14 → 2.4.15 (Python's filesystem abstraction layer)

  * [fsspec](https://pypi.org/project/fsspec) 2022.1.0 → 2022.3.0 (File-system specification)

  * [gdal](https://pypi.org/project/gdal) 3.4.1 → 3.4.2 (GDAL: Geospatial Data Abstraction Library)

  * [geoviews](https://pypi.org/project/geoviews) 1.9.3 → 1.9.5 (GeoViews is a Python library that makes it easy to explore and visualize geographical, meteorological, and oceanographic datasets, such as those used in weather, climate, and remote sensing research.)

  * [graphene](https://pypi.org/project/graphene) 2.1.9 → 3.0 (GraphQL Framework for Python)

  * [graphql_core](https://pypi.org/project/graphql_core) 2.3.1 → 3.1.7 (GraphQL implementation for Python, a port of GraphQL.js, the JavaScript reference implementation for GraphQL.)

  * [graphql_relay](https://pypi.org/project/graphql_relay) 2.0.1 → 3.1.5 (Relay library for graphql-core-next)

  * [great_expectations](https://pypi.org/project/great_expectations) 0.13.41 → 0.14.11 (Always know what to expect from your data.)

  * [guidata](https://pypi.org/project/guidata) 2.0.3 → 2.1.1 (Automatic graphical user interfaces generation for easy dataset editing and display)

  * [guiqwt](https://pypi.org/project/guiqwt) 4.0.1 → 4.1.0 (guiqwt is a set of tools for curve and image plotting (extension to PythonQwt))

  * [holoviews](https://pypi.org/project/holoviews) 1.14.7 → 1.14.8 (Stop plotting your data - annotate your data and let it visualize itself.)

  * [httpcore](https://pypi.org/project/httpcore) 0.14.5 → 0.14.7 (A minimal low-level HTTP client.)

  * [httpie](https://pypi.org/project/httpie) 2.6.0 → 3.1.0 (HTTPie - a CLI, cURL-like tool for humans.)

  * [httpx](https://pypi.org/project/httpx) 0.21.3 → 0.22.0 (The next generation HTTP client.)

  * [hypothesis](https://pypi.org/project/hypothesis) 6.35.0 → 6.45.1 (A library for property-based testing)

  * [imageio](https://pypi.org/project/imageio) 2.13.5 → 2.17.0 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 4.10.1 → 4.11.3 (Read metadata from Python packages)

  * [ipycanvas](https://pypi.org/project/ipycanvas) 0.10.2 → 0.11.0 (Interactive widgets library exposing the browser's Canvas API)

  * [ipykernel](https://pypi.org/project/ipykernel) 6.7.0 → 6.13.0 (IPython Kernel for Jupyter)

  * [ipympl](https://pypi.org/project/ipympl) 0.8.6 → 0.9.1 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.31.0 → 7.32.0 (IPython: Productive Interactive Computing)

  * [ipywidgets](https://pypi.org/project/ipywidgets) 7.6.5 → 7.7.0 (IPython HTML widgets for Jupyter)

  * [itsdangerous](https://pypi.org/project/itsdangerous) 2.0.1 → 2.1.2 (Various helpers to pass data to untrusted environments and back.)

  * [jsonpointer](https://pypi.org/project/jsonpointer) 2.2 → 2.3 (Identify specific nodes in a JSON document (RFC 6901))

  * [jupyter_client](https://pypi.org/project/jupyter_client) 7.1.1 → 7.3.0 (Jupyter protocol implementation and client libraries)

  * [jupyter_console](https://pypi.org/project/jupyter_console) 6.4.0 → 6.4.3 (Jupyter terminal console)

  * [jupyter_core](https://pypi.org/project/jupyter_core) 4.9.1 → 4.10.0 (Jupyter core package. A base package on which Jupyter projects rely.)

  * [jupyter_packaging](https://pypi.org/project/jupyter_packaging) 0.11.1 → 0.12.0 (Jupyter Packaging Utilities)

  * [jupyter_server](https://pypi.org/project/jupyter_server) 1.13.4 → 1.17.0 (The Jupyter Server)

  * [jupyter_server_mathjax](https://pypi.org/project/jupyter_server_mathjax) 0.2.3 → 0.2.5 (MathJax resources as a Jupyter Server Extension.)

  * [jupyter_server_proxy](https://pypi.org/project/jupyter_server_proxy) 3.2.0 → 3.2.1 (Jupyter server extension to supervise and proxy web services)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 3.2.8 → 3.3.4 (The JupyterLab notebook server extension.)

  * [jupyterlab_lsp](https://pypi.org/project/jupyterlab_lsp) 3.10.0 → 3.10.1 (Language Server Protocol integration for JupyterLab)

  * [jupyterlab_pygments](https://pypi.org/project/jupyterlab_pygments) 0.1.2 → 0.2.2 (Pygments theme)

  * [jupyterlab_server](https://pypi.org/project/jupyterlab_server) 2.10.3 → 2.13.0 (JupyterLab Server)

  * [jupyterlab_widgets](https://pypi.org/project/jupyterlab_widgets) 1.0.2 → 1.1.0 (JupyterLab extension providing HTML widgets)

  * [kiwisolver](https://pypi.org/project/kiwisolver) 1.3.2 → 1.4.2 (A fast implementation of the Cassowary constraint solver)

  * [locket](https://pypi.org/project/locket) 0.2.1 → 1.0.0 (File-based locks for Python for Linux and Windows)

  * [loky](https://pypi.org/project/loky) 3.0.0 → 3.1.0 (A robust implementation of concurrent.futures.ProcessPoolExecutor)

  * [lxml](https://pypi.org/project/lxml) 4.7.1 → 4.8.0 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [lz4](https://pypi.org/project/lz4) 3.1.10 → 4.0.0 (LZ4 Bindings for Python)

  * [mako](https://pypi.org/project/mako) 1.1.6 → 1.2.0 (A super-fast templating language that borrows the  best ideas from the existing templating languages.)

  * [markupsafe](https://pypi.org/project/markupsafe) 2.0.1 → 2.1.1 (Safely add untrusted strings to HTML/XML markup.)

  * [maturin](https://pypi.org/project/maturin) 0.12.6 → 0.12.14 (Build and publish crates with pyo3, rust-cpython and cffi bindings as well as rust binaries as python packages)

  * [mizani](https://pypi.org/project/mizani) 0.7.3 → 0.7.4 (Scales for Python)

  * [multidict](https://pypi.org/project/multidict) 5.2.0 → 6.0.2 (multidict implementation)

  * [mypy](https://pypi.org/project/mypy) 0.931 → 0.942 (Optional static typing for Python)

  * [nbclassic](https://pypi.org/project/nbclassic) 0.3.5 → 0.3.7 (Jupyter Notebook as a Jupyter Server Extension.)

  * [nbclient](https://pypi.org/project/nbclient) 0.5.10 → 0.5.13 (A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.)

  * [nbconvert](https://pypi.org/project/nbconvert) 6.4.0 → 6.5.0 (Converting Jupyter Notebooks)

  * [nbformat](https://pypi.org/project/nbformat) 5.1.3 → 5.3.0 (The Jupyter Notebook format)

  * [nest_asyncio](https://pypi.org/project/nest_asyncio) 1.5.4 → 1.5.5 (Patch asyncio to allow nested event loops)

  * [networkx](https://pypi.org/project/networkx) 2.6.4a0 → 2.8 (Python package for creating and manipulating graphs and networks)

  * [nltk](https://pypi.org/project/nltk) 3.6.7 → 3.7 (Natural Language Toolkit)

  * [notebook](https://pypi.org/project/notebook) 6.4.7 → 6.4.11 (A web-based notebook environment for interactive computing)

  * [numba](https://pypi.org/project/numba) 0.55.0 → 0.55.1 (compiling Python code using LLVM)

  * [numpydoc](https://pypi.org/project/numpydoc) 1.1.0 → 1.2.1 (Sphinx extension to support docstrings in Numpy format)

  * [oct2py](https://pypi.org/project/oct2py) 5.4.2 → 5.4.3 (Python to GNU Octave bridge --> run m-files from python.)

  * [octave_kernel](https://pypi.org/project/octave_kernel) 0.34.0 → 0.34.1 (A Jupyter kernel for Octave.)

  * [orjson](https://pypi.org/project/orjson) 3.6.5 → 3.6.7 (Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy)

  * [pandas](https://pypi.org/project/pandas) 1.4.0 → 1.4.2 (Powerful data structures for data analysis, time series, and statistics)

  * [panel](https://pypi.org/project/panel) 0.12.6 → 0.13.0 (A high level app and dashboarding solution for Python.)

  * [papermill](https://pypi.org/project/papermill) 2.3.3 → 2.3.4 (Parametrize and run Jupyter and nteract Notebooks)

  * [param](https://pypi.org/project/param) 1.12.0 → 1.12.1 (Declarative Python programming using Parameters.)

  * [pillow](https://pypi.org/project/pillow) 9.0.0 → 9.1.0 (Python Imaging Library (Fork))

  * [pint](https://pypi.org/project/pint) 0.18 → 0.19.2 (Physical quantities module)

  * [pip](https://pypi.org/project/pip) 21.3.1 → 22.0.4 (The PyPA recommended tool for installing Python packages.)

  * [platformdirs](https://pypi.org/project/platformdirs) 2.4.1 → 2.5.2 (A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".)

  * [plotly](https://pypi.org/project/plotly) 5.5.0 → 5.7.0 (An open-source, interactive graphing library for Python)

  * [plotnine](https://pypi.org/project/plotnine) 0.8.0 → 0.8.1.dev0 (A grammar of graphics for python)

  * [portpicker](https://pypi.org/project/portpicker) 1.4.0 → 1.5.0 (A library to choose unique available network ports.)

  * [prettytable](https://pypi.org/project/prettytable) 3.0.0 → 3.2.0 (A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.)

  * [prometheus_client](https://pypi.org/project/prometheus_client) 0.12.0 → 0.14.1 (Python client for the Prometheus monitoring system.)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 3.0.24 → 3.0.29 (Library for building powerful interactive command lines in Python)

  * [pyarrow](https://pypi.org/project/pyarrow) 6.0.1 → 7.0.0 (Python library for Apache Arrow)

  * [pybind11](https://pypi.org/project/pybind11) 2.9.0 → 2.9.2 (Seamless operability between C++11 and Python)

  * [pyinstaller](https://pypi.org/project/pyinstaller) 4.8 → 5.0.1 (PyInstaller bundles a Python application and all its dependencies into a single package.)

  * [pyinstaller_hooks_contrib](https://pypi.org/project/pyinstaller_hooks_contrib) 2021.5 → 2022.4 (Community maintained hooks for PyInstaller)

  * [pylint](https://pypi.org/project/pylint) 2.12.2 → 2.13.7 (python code static checker)

  * [pymongo](https://pypi.org/project/pymongo) 4.0.1 → 4.1.1 (Python driver for MongoDB <http www.mongodb.org>)

  * [pynndescent](https://pypi.org/project/pynndescent) 0.5.5 → 0.5.6 (Nearest Neighbor Descent)

  * [pyopengl](https://pypi.org/project/pyopengl) 3.1.5 → 3.1.6 (Standard OpenGL bindings for Python)

  * [pyproj](https://pypi.org/project/pyproj) 3.3.0 → 3.3.1 (Python interface to PROJ (cartographic projections and coordinate transformations library))

  * [pyqtgraph](https://pypi.org/project/pyqtgraph) 0.12.3 → 0.12.4 (Scientific Graphics and GUI Library for Python)

  * [pyshp](https://pypi.org/project/pyshp) 2.1.3 → 2.2.0 (Pure Python read/write support for ESRI Shapefile format)

  * [pytest](https://pypi.org/project/pytest) 6.2.5 → 7.1.1 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.10.2 → 3.10.4 (Python programming language with standard library)

  * [python_lsp_black](https://pypi.org/project/python_lsp_black) 1.0.1 → 1.2.1 (Black plugin for the Python LSP Server)

  * [python_lsp_server](https://pypi.org/project/python_lsp_server) 1.3.3 → 1.4.1 (Python Language Server for the Language Server Protocol)

  * [python_slugify](https://pypi.org/project/python_slugify) 5.0.2 → 6.1.2 (A Python Slugify application that handles Unicode)

  * [python_snappy](https://pypi.org/project/python_snappy) 0.6.0 → 0.6.1 (Python library for the snappy compression library from Google)

  * [pythonnet](https://pypi.org/project/pythonnet) 3.0.0a1 → 3.0.0a2 (.Net and Mono integration for Python)

  * [pytz](https://pypi.org/project/pytz) 2021.3 → 2022.1 (World timezone definitions, modern and historical)

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 2.1.0 → 2.2.0 (Bidirectional communication for the PyViz ecosystem.)

  * [pywavelets](https://pypi.org/project/pywavelets) 1.2.0 → 1.3.0 (PyWavelets, wavelet transform module)

  * [pywinpty](https://pypi.org/project/pywinpty) 1.1.6 → 2.0.5 (Python bindings for the winpty library)

  * [pyzo](https://pypi.org/project/pyzo) 4.12.0 → 4.12.3 (the Python IDE for scientific computing)

  * [pyzstd](https://pypi.org/project/pyzstd) 0.15.1 → 0.15.2 (Python bindings to Zstandard (zstd) compression library, the API is similar to Python's bz2/lzma/zlib module.)

  * [qdarkstyle](https://pypi.org/project/qdarkstyle) 3.0.2 → 3.0.3 (The most complete dark stylesheet for Python and Qt applications)

  * [qdldl](https://pypi.org/project/qdldl) 0.1.5.post0 → 0.1.5.post2 (QDLDL, a free LDL factorization routine.)

  * [qtconsole](https://pypi.org/project/qtconsole) 5.2.2 → 5.3.0 (Jupyter Qt console)

  * [qtpy](https://pypi.org/project/qtpy) 2.0.0 → 2.1.0 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [quantecon](https://pypi.org/project/quantecon) 0.5.2 → 0.5.3 (QuantEcon is a package to support all forms of quantitative economic modelling.)

  * [quart](https://pypi.org/project/quart) 0.16.2 → 0.17.0 (A Python ASGI web microframework with the same API as Flask)

  * [readme_renderer](https://pypi.org/project/readme_renderer) 32.0 → 35.0 (readme_renderer is a library for rendering "readme" descriptions for Warehouse)

  * [redis](https://pypi.org/project/redis) 4.1.0 → 4.2.2 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2022.1.18 → 2022.3.15 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.6.5 → 3.6.9 (The Reportlab Toolkit)

  * [rope](https://pypi.org/project/rope) 0.22.0 → 1.0.0 (a python refactoring library...)

  * [rtree](https://pypi.org/project/rtree) 0.9.7 → 1.0.0 (R-Tree spatial index for Python GIS)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.17.20 → 0.17.17 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [rx](https://pypi.org/project/rx) 1.6.1 → 3.1.1 (Reactive Extensions (Rx) for Python)

  * [scikit_image](https://pypi.org/project/scikit_image) 0.19.1 → 0.19.2 (Image processing routines for SciPy)

  * [scipy](https://pypi.org/project/scipy) 1.7.3 → 1.8.0 (SciPy: Scientific Library for Python)

  * [scs](https://pypi.org/project/scs) 3.1.0 → 3.2.0 (scs: splitting conic solver)

  * [setuptools](https://pypi.org/project/setuptools) 60.5.0 → 62.1.0 (Easily download, build, install, upgrade, and uninstall Python packages)

  * [shapely](https://pypi.org/project/shapely) 1.8.0 → 1.8.1.post1 (Geometric objects, predicates, and operations)

  * [sklearn_contrib_lightning](https://pypi.org/project/sklearn_contrib_lightning) 0.6.1 → 0.6.2.post0 (Large-scale sparse linear classification, regression and ranking in Python)

  * [slicerator](https://pypi.org/project/slicerator) 1.0.0 → 1.1.0 (A lazy-loading, fancy-sliceable iterable.)

  * [soupsieve](https://pypi.org/project/soupsieve) 2.3.1 → 2.3.2.post1 (A modern CSS selector implementation for Beautiful Soup.)

  * [spacy](https://pypi.org/project/spacy) 3.2.1 → 3.2.4 (Industrial-strength Natural Language Processing (NLP) in Python)

  * [spacy_legacy](https://pypi.org/project/spacy_legacy) 3.0.8 → 3.0.9 (Legacy registered functions for spaCy backwards compatibility)

  * [spacy_loggers](https://pypi.org/project/spacy_loggers) 1.0.1 → 1.0.2 (Logging utilities for SpaCy)

  * [sphinx](https://pypi.org/project/sphinx) 4.4.0 → 4.5.0 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [spyder](https://pypi.org/project/spyder) 5.2.2 → 5.3.0 (The Scientific Python Development Environment)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 2.2.1 → 2.3.0 (Jupyter kernels for Spyder's console)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.4.28 → 1.4.35 (Database Abstraction Library)

  * [sqlite_bro](https://pypi.org/project/sqlite_bro) 0.12.1 → 0.12.2 (a graphic SQLite Client in 1 Python file)

  * [sqlite_utils](https://pypi.org/project/sqlite_utils) 3.22 → 3.26 (CLI tool and Python utility functions for manipulating SQLite databases)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.13.1 → 0.13.2 (Statistical computations and models for Python)

  * [streamlit](https://pypi.org/project/streamlit) 1.1.0 → 1.4.0 (The fastest way to build data apps in Python)

  * [sympy](https://pypi.org/project/sympy) 1.9 → 1.10.1 (Computer algebra system (CAS) in Python)

  * [terminado](https://pypi.org/project/terminado) 0.12.1 → 0.13.3 (Terminals served to xterm.js using Tornado websockets)

  * [thinc](https://pypi.org/project/thinc) 8.0.13 → 8.0.15 (Practical Machine Learning for NLP)

  * [threadpoolctl](https://pypi.org/project/threadpoolctl) 3.0.0 → 3.1.0 (threadpoolctl)

  * [tifffile](https://pypi.org/project/tifffile) 2021.11.2 → 2022.4.22 (Read and write TIFF(r) files)

  * [tomli](https://pypi.org/project/tomli) 1.2.2 → 2.0.1 (A lil' TOML parser)

  * [tomlkit](https://pypi.org/project/tomlkit) 0.8.0 → 0.10.2 (Style preserving TOML library)

  * [tqdm](https://pypi.org/project/tqdm) 4.62.3 → 4.64.0 (Fast, Extensible Progress Meter)

  * [trio](https://pypi.org/project/trio) 0.19.0 → 0.20.0 (A friendly Python library for async concurrency and I/O)

  * [twine](https://pypi.org/project/twine) 3.7.1 → 4.0.0 (Collection of utilities for publishing packages on PyPI)

  * [typer](https://pypi.org/project/typer) 0.4.0 → 0.4.1 (Typer, build great CLIs. Easy to code. Based on Python type hints.)

  * [typing_extensions](https://pypi.org/project/typing_extensions) 4.0.1 → 4.2.0 (Backported and Experimental Type Hints for Python 3.5+)

  * [tzdata](https://pypi.org/project/tzdata) 2021.5 → 2022.1 (Provider of IANA time zone data)

  * [tzlocal](https://pypi.org/project/tzlocal) 4.1 → 4.2 (tzinfo object for the local timezone)

  * [ujson](https://pypi.org/project/ujson) 5.1.0 → 5.2.0 (Ultra fast JSON encoder and decoder for Python)

  * [urllib3](https://pypi.org/project/urllib3) 1.26.8 → 1.26.9 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.17.0 → 0.17.6 (The lightning-fast ASGI server.)

  * [vega](https://pypi.org/project/vega) 3.5.0 → 3.6.0 (A Jupyter widget for Vega 5 and Vega-Lite 4)

  * [virtualenv](https://pypi.org/project/virtualenv) 20.13.0 → 20.14.1 (Virtual Python Environment builder)

  * [voila](https://pypi.org/project/voila) 0.3.0 → 0.3.5 (Serving read-only live Jupyter notebooks)

  * [wasabi](https://pypi.org/project/wasabi) 0.9.0 → 0.9.1 (A lightweight console printing and formatting toolkit)

  * [watchdog](https://pypi.org/project/watchdog) 2.1.5 → 2.1.7 (Filesystem events monitoring)

  * [websocket_client](https://pypi.org/project/websocket_client) 1.2.3 → 1.3.2 (WebSocket client for Python. hybi13 is supported.)

  * [websockets](https://pypi.org/project/websockets) 10.1 → 10.3 (An implementation of the WebSocket Protocol (RFC 6455 & 7692))

  * [werkzeug](https://pypi.org/project/werkzeug) 2.0.2 → 2.1.2 (The comprehensive WSGI web application library.)

  * [widgetsnbextension](https://pypi.org/project/widgetsnbextension) 3.5.2 → 3.6.0 (IPython HTML widgets for Jupyter)

  * [winpython](http://winpython.github.io/) 4.6.20220116 → 4.6.20220501 (WinPython distribution tools, including WPPM)

  * [wrapt](https://pypi.org/project/wrapt) 1.13.3 → 1.14.0 (Module for decorators, wrappers and monkey patching.)

  * [wsproto](https://pypi.org/project/wsproto) 1.0.0 → 1.1.0 (WebSockets state-machine based protocol implementation)

  * [xarray](https://pypi.org/project/xarray) 0.20.2 → 2022.3.0 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 3.0.2 → 3.0.3 (A Python module for creating Excel XLSX files.)

  * [zarr](https://pypi.org/project/zarr) 2.10.2 → 2.11.3 (An implementation of chunked, compressed, N-dimensional arrays for Python.)

  * [zict](https://pypi.org/project/zict) 2.0.0 → 2.2.0 (Mutable mapping tools)

  * [zipp](https://pypi.org/project/zipp) 3.7.0 → 3.8.0 (Backport of pathlib-compatible object wrapper for zip files)



Removed packages:



  * [descartes](https://pypi.org/project/descartes) 1.1.0 (Use geometric objects as matplotlib paths and patches)

  * [promise](https://pypi.org/project/promise) 2.3 (Promises/A+ implementation for Python)

  * [pyside2](https://pypi.org/project/pyside2) 5.15.2.1 (Python bindings for the Qt cross-platform application and UI framework)

  * [ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) 0.2.6 (C version of reader, parser and emitter for ruamel.yaml derived from libyaml)

  * [shiboken2](https://pypi.org/project/shiboken2) 5.15.2.1 (Python / C++ bindings helper module)

  * [testpath](https://pypi.org/project/testpath) 0.5.0 (Test utilities for code working with files and commands)

  * [thrift](https://pypi.org/project/thrift) 0.15.0 (Python bindings for the Apache Thrift RPC system)



* * *

